import Phaser from "phaser";
import redCog from "../../assets/game-assets/cog-red.png";
import pinkCog from "../../assets/game-assets/cog-pink.png";
import blueCog from "../../assets/game-assets/cog-blue.png";
import greenCog from "../../assets/game-assets/cog-green.png";
import yellowCog from "../../assets/game-assets/cog-yellow.png";
import purpleCog from "../../assets/game-assets/cog-purple.png";
import arrowImage from "../../assets/game-assets/arrow.png";
import backgroundImage from "../../assets/game-assets/background.png";
import restartButtonImage from "../../assets/game-assets/restart.png";
import shadowBubbles from "../../assets/game-assets/shadowbubble.png";
import lifeBubbles from "../../assets/game-assets/lifebubble.png";
// @ts-ignore
import bubblePopSound from "../../assets/game-assets/bubble.mp3";
// @ts-ignore
import bubbleShootSound from "../../assets/game-assets/shoot.mp3";
class PreloadScene extends Phaser.Scene {
    constructor() {
        super("PreloadScene");
    }
    preload() {
        this.load.image('red', redCog);
        this.load.image('pink', pinkCog);
        this.load.image('blue', blueCog);
        this.load.image('green', greenCog);
        this.load.image('yellow', yellowCog);
        this.load.image('purple', purpleCog);
        this.load.image('arrow', arrowImage);
        this.load.image('backgroundImage', backgroundImage);
        this.load.image('restartButtonImage', restartButtonImage);
        this.load.audio('bubblepop', bubblePopSound);
        this.load.audio('bubbleshoot', bubbleShootSound);
        this.load.image('shadowBubbles', shadowBubbles);
        this.load.image('lifeBubbles', lifeBubbles);
    }
    create() {
        this.scene.start("GameScene");
    }
}
export default PreloadScene;
